package com.ejie.t17i.model;

import java.math.BigDecimal;

public class Planta {

	private BigDecimal id;
	private Portal portal;
	private String idescalera;
	private String escalera;
	private String piso;

	
	/**
	 * 
	 */
	public Planta() {
		super();
	}


	/**
	 * 
	 * @param id
	 * @param portal
	 * @param escalera
	 * @param piso
	 */
	public Planta(BigDecimal id, Portal portal, String escalera, String piso) {
		super();
		this.id = id;
		this.portal = portal;
		this.escalera = escalera;
		this.piso = piso;
	}


	public Planta(BigDecimal id) {
		super();
		this.id = id;
	}


	/**
	 * @return the id
	 */
	public BigDecimal getId() {
		return id;
	}


	/**
	 * @param id the id to set
	 */
	public void setId(BigDecimal id) {
		this.id = id;
	}


	/**
	 * @return the portal
	 */
	public Portal getPortal() {
		return portal;
	}


	/**
	 * @param portal the portal to set
	 */
	public void setPortal(Portal portal) {
		this.portal = portal;
	}


	/**
	 * @return the escalera
	 */
	public String getEscalera() {
		return escalera;
	}


	/**
	 * @param escalera the escalera to set
	 */
	public void setEscalera(String escalera) {
		this.escalera = escalera;
	}


	/**
	 * @return the piso
	 */
	public String getPiso() {
		return piso;
	}


	/**
	 * @param piso the piso to set
	 */
	public void setPiso(String piso) {
		this.piso = piso;
	}
	/**
	 * @return the idescalera
	 */
	public String getIdescalera() {
		return idescalera;
	}


	/**
	 * @param idescalera the idescalera to set
	 */
	public void setIdescalera(String idescalera) {
		this.idescalera = idescalera;
	}

}
